---
title: StereoPannerNode.pan
slug: Web/API/StereoPannerNode/pan
tags:
  - API
  - Property
  - Read-only
  - Reference
  - StereoPannerNode
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<div>
<p>The <code>pan</code> property of the {{ domxref("StereoPannerNode") }} interface is an <a href="/en-US/docs/Web/API/AudioParam#a-rate">a-rate</a> {{domxref("AudioParam")}} representing the amount of panning to apply. The value can range between <code>-1</code> (full left pan) and <code>1</code> (full right pan).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panNode = audioCtx.createStereoPanner();
panNode.pan.value = -0.5;
</pre>

<h3 id="Returned_value">Returned value</h3>

<p>An <a href="/en-US/docs/Web/API/AudioParam#a-rate">a-rate</a> {{domxref("AudioParam")}} containing the panning to apply.</p>

<div class="note">
<p><strong>Note</strong>: Though the <code>AudioParam</code> returned is read-only, the value it represents is not.</p>
</div>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createStereoPanner","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-stereopannernode-pan', 'pan')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StereoPannerNode.pan")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
